org.eclipse.cdt.core.dom.ast.gnu

## Interface IGCCASTAttributeSpecifier

All Superinterfaces:
  IASTAttributeSpecifier, IASTNode

All Known Subinterfaces:
  IGCCASTAttributeList

Deprecated.
Use IGCCASTAttributeList instead.

    @Deprecated
    public interface IGCCASTAttributeSpecifier
    extends IASTAttributeSpecifier

Since:
  5.7

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static org.eclipse.cdt.core.parser.util.InstanceOfPredicate<IASTAttributeSpecifier>` `TYPE_FILTER` Deprecated.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeSpecifier

`ATTRIBUTE, EMPTY_ATTRIBUTE_SPECIFIER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`IGCCASTAttributeSpecifier` `copy()` Deprecated. Returns a mutable copy of the tree rooted at this node.
`IGCCASTAttributeSpecifier` `copy(IASTNode.CopyStyle style)` Deprecated. Returns a mutable copy of the tree rooted at this node.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeSpecifier

`addAttribute, getAttributes`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### TYPE_FILTER

    static final org.eclipse.cdt.core.parser.util.InstanceOfPredicate<IASTAttributeSpecifier> TYPE_FILTER

Deprecated.

### Method Detail

#### copy

    IGCCASTAttributeSpecifier copy()

Deprecated.
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTAttributeSpecifier`
Specified by:
  `copy` in interface `IASTNode`

#### copy

    IGCCASTAttributeSpecifier copy(IASTNode.CopyStyle style)

Deprecated.
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTAttributeSpecifier`
Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.